Subject: Re: [PATCH 2/2] [e1000 VLAN] Disable vlan hw accel when promiscuous mode

From: Patrick McHardy <[email-masked]>
Date: Wed, 14 Nov 2007 10:42:04 +0100

Kok, Auke wrote:
> Patrick McHardy wrote:
>> Kok, Auke wrote:
>>> Patrick McHardy wrote:
>>>
>>>> I already posted a patch for this, not sure what happened to it.
>>>> Auke, any news on merging the secondary unicast address support?
>>> I dropped the ball on that one. Care to resend it and send me one for
>>> e1000e as well?
>> Patch for e1000 attached.
>>
>> Does e1000e also work with PCI cards if I add the proper IDs?
>> Otherwise I could only send an untested patch.
>>
> 
> no, e1000e will only work with pci-e adapters. The code however is largely the
> same, so if you can dish me out (off-list) some test cases I can have our labs do
> the testing and add this to our test repertoire.

Actually that part of the code is quite different. I'm not
sure I understand the entire intent behind the differences,
why does it use a packed array of addresses instead of simply
passing the netdev pointer to the callback? That would be
necessary for secondary unicast support since we have to
disable unicast filtering if either the address count exceeds
the number of filter slots or the device is in promiscous mode.